# Module: packet/one_pass_signature

## packet/one_pass_signature

#### new require("packet/one_pass_signature")()

  Source:
    - packet/one_pass_signature.js, line 35

Source:
  - packet/one_pass_signature.js, line 18

### Methods

#### read(bytes) → {module:packet/one_pass_signature}

  parsing function for a one-pass signature packet (tag 4).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `bytes` | String | payload of a tag 4 packet

  Source:
    - packet/one_pass_signature.js, line 48

  ##### Returns:

  object representation
  Type
    module:packet/one_pass_signature

#### write() → {String}

  creates a string representation of a one-pass signature packet
  Source:
    - packet/one_pass_signature.js, line 80

  ##### Returns:

  a string representation of a one-pass signature packet
  Type
    String